#include "navigation.hpp"

namespace rrr::content_type
{
  void navigation::fill(std::filesystem::path PWD)
  {
    // if (!store.contains(PWD))
    //   store[PWD] = file_utils::fill(PWD);

    data = file_utils::fill(PWD);
  }

  // void navigation::update(std::filesystem::path PWD)
  // {
  //   store[PWD] = file_utils::fill(PWD);
  // }
}
